/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package x33eja.back;

import com.google.common.collect.Collections2;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import x33eja.dto.PersonalRating;
import x33eja.sb.ResearchCenterLocal;

/**
 *
 * @author blcha
 */
@ManagedBean(name="ratings")
@RequestScoped
public class RatingsBean {

    @EJB
    ResearchCenterLocal rc;

    /** Creates a new instance of RatingsBean */
    public RatingsBean() {
    }

    
    public List<PersonalRating> getSortedPersonalRatings() {
        List<PersonalRating> ratings = new ArrayList<PersonalRating>(rc.getAllPersonalAcademicRatings());

        Comparator<PersonalRating> comparator = new Comparator<PersonalRating>() {

            @Override
            public int compare(PersonalRating pr1, PersonalRating pr2) {
                return (-1)*Double.compare(pr1.getRating(), pr2.getRating());
            }
        };
        
        Collections.sort(ratings, comparator);

        return ratings;
    }

}
